package com.app.framework.core.support.enums.common;

import com.app.framework.core.support.enums.BaseEnum;
import com.app.framework.core.support.enums.dict.DictEnum;

/**
 * 性别枚举
 * 	性别(0-女 1-男 2-保密)
 */
@DictEnum(type = "genderEnum", desc = "性别")
public enum GenderEnum implements BaseEnum<Integer> {

    MAN(1, "男"), WOMAN(0, "女"), BAOMI(2, "保密");

    GenderEnum(Integer value, String text) {
        putEnumItem(value, text);
    }

}
